#if !defined CONFIG_H
#define CONFIG_H

#include <windows.h>
#include <iostream>
#include <iomanip>
#include <fstream>
#include <sstream>
#include <cstdlib>
#include <ctime>
#include <limits>


//colors
const int WHITE = 0;
const int RED = 1;
const int DARKRED = 2;
const int GREEN = 3;
const int DARKGREEN = 4;
const int BLUE = 5;
const int DARKBLUE = 6;
const int YELLOW = 7;
const int DARKYELLOW = 8;
const int MAGENTA = 9;
const int DARKMAGENTA = 10;
const int CYAN = 11;
const int DARKCYAN = 12;
const int GRAY = 13;
const int DARKGRAY = 14;
const int BLACK = 15;

//global constants
const int BOARD_SIZE = 5;
const int BOARD_COLOR = GRAY;
const int BORDER_COLOR = DARKGRAY;
const int DEFAULT_COLOR = WHITE;

const int NUM_PLAYERS = 2;
const int NUM_WORKERS = 2 * NUM_PLAYERS;
const int NUM_WORKERS_PER_PLAYER = NUM_WORKERS / NUM_PLAYERS; //number of workers per player

const int PLAYER1_COLOR = RED;
const int PLAYER2_COLOR = GREEN;

#endif